// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdSdkUiKitComponents",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdSdkUiKitComponents", targets: ["WebIdSdkUiKitComponentsWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ui-components-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-spm.git",
            .upToNextMinor(from: "11.3.2")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdSdkUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdSdkUiKitComponents/20.0.0/WebIdSdkUiKitComponents.framework-v20.0.0-SNAPSHOT-204.zip",
            checksum: "98359f214667bbba585553ee595ceb2a66b2b8c780c20640d46aea3cf7f74954"
        ),
        .target(
            name: "WebIdSdkUiKitComponentsWrapper",
            dependencies: [
                .target(name: "WebIdSdkUiKitComponents"),
                // [target dependecies here]
                
                .product(name: "WebIdUiKitComponents", package: "WebIdUiKitComponents"),
                .product(name: "WebIdIosSdk", package: "WebIdIosSdk"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
